/*=====================================================================
 * Any authorized distribution of any copy of this code (including any
 * related documentation) must reproduce the following restrictions,
 * disclaimer and copyright notice:
 * 
 * The Genesys name, the trademarks and/or logo(s) of Genesys shall
 * not be used to name (even as a part of another name), endorse and/or
 * promote products derived from this code without prior written
 * permission from Genesys Telecommunications Laboratories, Inc.
 * 
 * The use, copy, and/or distribution of this code is subject to the
 * terms of the Genesys Developer License Agreement.  This code shall
 * not be used, copied, and/or distributed under any other license
 * agreement.
 * 
 * THIS CODE IS PROVIDED BY GENESYS TELECOMMUNICATIONS LABORATORIES,
 * INC. (GENESYS) AS IS WITHOUT ANY WARRANTY OF ANY KIND. GENESYS
 * HEREBY DISCLAIMS ALL EXPRESS, IMPLIED, OR STATUTORY CONDITIONS,
 * REPRESENTATIONS AND WARRANTIES WITH RESPECT TO THIS CODE (OR ANY
 * PART THEREOF), INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR
 * NON-INFRINGEMENT. GENESYS AND ITS SUPPLIERS SHALL NOT BE LIABLE FOR
 * ANY DAMAGE SUFFERED AS A RESULT OF USING THIS CODE. IN NO EVENT
 * SHALL GENESYS AND ITS SUPPLIERS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * CONSEQUENTIAL, ECONOMIC, INCIDENTAL, OR SPECIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, ANY LOST REVENUES OR PROFITS).
 * 
 * Copyright (C) 2006-2008 Genesys Telecommunications Laboratories,
 * Inc. All rights reserved.
 =====================================================================*/
namespace ConfigPlatformSDKExample
{
    partial class Form1
    {
        /// <summary>
        /// Required designer variable.
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary>
        /// Clean up any resources being used.
        /// </summary>
        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
        protected override void Dispose(bool disposing)
        {
            //if (disposing && (components != null))
            if (disposing)
            {
                this.protocolManagementService["Config_Server_App"].Close();

                this.eventBrokerService.Dispose();
                this.protocolManagementService.Dispose();

                if (components != null)
                {
                    components.Dispose();
                }
            }
            base.Dispose(disposing);
        }

        #region Windows Form Designer generated code

        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            this.ReadObjectsButton = new System.Windows.Forms.Button();
            this.LogAreaRichTextBox = new System.Windows.Forms.RichTextBox();
            this.SuspendLayout();
            // 
            // ReadObjectsButton
            // 
            this.ReadObjectsButton.Location = new System.Drawing.Point(12, 12);
            this.ReadObjectsButton.Name = "ReadObjectsButton";
            this.ReadObjectsButton.Size = new System.Drawing.Size(102, 23);
            this.ReadObjectsButton.TabIndex = 0;
            this.ReadObjectsButton.Text = "Read Objects";
            this.ReadObjectsButton.UseVisualStyleBackColor = true;
            this.ReadObjectsButton.Click += new System.EventHandler(this.ReadObjectsButton_Click);
            // 
            // LogAreaRichTextBox
            // 
            this.LogAreaRichTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                        | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.LogAreaRichTextBox.BackColor = System.Drawing.SystemColors.Info;
            this.LogAreaRichTextBox.Location = new System.Drawing.Point(1, 57);
            this.LogAreaRichTextBox.Name = "LogAreaRichTextBox";
            this.LogAreaRichTextBox.ReadOnly = true;
            this.LogAreaRichTextBox.Size = new System.Drawing.Size(434, 333);
            this.LogAreaRichTextBox.TabIndex = 1;
            this.LogAreaRichTextBox.Text = "";
            // 
            // Form1
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.ClientSize = new System.Drawing.Size(436, 392);
            this.Controls.Add(this.LogAreaRichTextBox);
            this.Controls.Add(this.ReadObjectsButton);
            this.Name = "Form1";
            this.Text = "Configuration Platform SDK Code Example";
            this.ResumeLayout(false);

        }

        #endregion

        private System.Windows.Forms.Button ReadObjectsButton;
        private System.Windows.Forms.RichTextBox LogAreaRichTextBox;
    }
}

